<div class="theme-body">
  <div class="theme-block">
    <div
      class="content-wrapper"
      *ngIf="!(address == undefined) && address.length"
    >
      <div class="transaction-block">
        <div class="transaction-main-header">
          <div class="header-title">
            {{ "PAYMENT.TITLE" | translate }}
          </div>

          <div class="header-right-btn-group">
            <div class="logo-btn" (click)="onIOTAFoundation()">
              <img
                class="logo-img"
                src="/ipo/assets/logos/IOTA-logo(64px-black).png"
                alt="iota-foundation"
              />
            </div>
            <div class="logo-btn" (click)="onGitLabProject()">
              <img
                class="logo-img"
                src="/ipo/assets/logos/gitlab-logo(64px-black).png"
                alt="gitlab-project"
              />
            </div>
          </div>
        </div>

        <div class="transaction-subblock-wrapper">
          <div class="transaction-subblock">
            <div class="transaction-secondary-header">
              {{ "PAYMENT.SUBTITLE" | translate }}
            </div>

            <div class="qr-block">
              <app-qr-code
                [value]="address"
                [size]="200"
                errorCorrectionLevel="M"
              ></app-qr-code>
            </div>

            <div class="secondary-header">
              {{ "PAYMENT.ADDRESS" | translate }}
            </div>

            <div class="address">
              {{ address }}
            </div>

            <div class="copy-btn-block">
              <ion-button
                class="copy-btn clipboard"
                color="primary"
                size="medium"
                expand="block"
              >
                {{ "PAYMENT.COPY_ADDRESS" | translate }}
              </ion-button>
            </div>
          </div>
        </div>

        <div class="transaction-subblock-wrapper">
          <div class="transaction-subblock">
            <div class="secondary-header">
              {{ "PAYMENT.RECEIVED_TOKEN" | translate }}
            </div>

            <div class="balance">
              <div class="received-balance-wrapper">
                <div
                  class="received-balance"
                  [ngClass]="{ success: isSuccess }"
                >
                  {{ (balance | number: "0.0-6") + " Mi" }}
                </div>
                <div
                  class="received-balance-price"
                  *ngIf="!(receivedPrice == undefined) && receivedPrice > 0"
                >
                  ({{ receivedPrice | currency: symbol:"symbol":"1.2-2" }})
                </div>
              </div>

              <div class="expected-balance-wrapper">
                <div
                  class="expected-balance"
                  *ngIf="!(expectedBalance == undefined) && expectedBalance > 0"
                >
                  {{ ("PAYMENT.EXPECTED_TOKEN" | translate) + ": " }}
                </div>
                <div
                  class="expected-balance balance-highlight"
                  *ngIf="!(expectedBalance == undefined) && expectedBalance > 0"
                >
                  {{ expectedBalance | number: "0.0-6" }}
                </div>
                <div
                  class="expected-balance balance-highlight"
                  *ngIf="!(expectedBalance == undefined) && expectedBalance > 0"
                >
                  {{ miotaSymbol }}
                </div>
                <div class="expected-balance-price">
                  ({{ expectedPrice | currency: symbol:"symbol":"1.2-2" }})
                </div>
              </div>
            </div>

            <div
              class="wait-indicator"
              *ngIf="balance === 0 || balance < expectedBalance"
            >
              <ion-progress-bar type="indeterminate"></ion-progress-bar>
              {{ "PAYMENT.WAITING" | translate }}
            </div>
          </div>
        </div>
      </div>
    </div>

    <app-footer *ngIf="!(address == undefined) && address.length"></app-footer>
  </div>
</div>
